=== debian/changelog ===
appwatch (0.56-1) unstable; urgency=low

  * Initial release

 -- Attila Csipa <maemo@csipa.in.rs>  Sat, 19 Dec 2009 13:21:54 +0100
