=== debian/control ===
Source: appwatch
Section: user/desktop
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.0
Homepage: downloads.maemo.org

Package: appwatch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Track new applications and repository activity
 AppWatch is a Qt based application which allows for easier tracking
 of repository activities, namely:
 .
 * Repository history - list of applications being added, updated
   or removed from various repositories (even those not enabled
   by the user, e.g. testing and devel)
 * Hot Apps - list applications by download activity last week
 * App Forecast - show applications currently in QA, in order of
   expected arrival to Extras
 * App Stats - download graph of particular applications
 * Show a graph with the number of apps in repositories
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1gURDQoYya0JlwAAAU9J 
 REFUSMftlL1KA0EUhb/NZl/ggnHQxsJUxt5CUucVJCCkDfgyKdIGG5/A0s5HEBtJ
 EdDAQGBgmw0YJmMzgXXYza5CtNkDW9zZw5z7c+ZCgwb/Ai3i9sVl/Bq8RIs4LRK1 
 gJDsKvJyNXmJMuYTsMoY1zpgozaABdYArQNPZQ1kfyGU7SpqVwxzAMwABWhgpIwp
 4vWBB+AUWAI3ypjnfEXtPU4bLKx9vErTeCeiRSYF+fTn1j5dp2myE9EiU+DSi3wX 
 ymeqRQAmZ3EcA5E/fgO6BULT8zhOcrwXoJdrXRa2Lgps2y2odAUcBUIXQdz78YyC
 SldAp8b7+bXrIv91qjZBietqCc2DjbAt4b2WxJkyZljVujlwp0U0cPxuLcAIuC+4 
 dKxFlsDJarvdAGP/b6hFnDImYs+uG3hbO2AB3Jbsur63tQM+fFx3bzZocEB8AdV2
 gJBZgKTwAAAAAElFTkSuQmCC
